# Uses of Record Class
com.usatiuk.dhfs.peersync.PeerInfo

Packages that use PeerInfo
Package
Description
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.peertrust

## Uses of PeerInfo in com.usatiuk.dhfs.peersync

Methods in com.usatiuk.dhfs.peersync that return PeerInfo
Modifier and Type
Method
Description
`PeerInfo`
PeerInfoProtoSerializer.`deserialize(PeerInfoP message)`
`PeerInfo`
PeerInfo.`withIncrementedKickCounter(PeerId peerId)`
`PeerInfo`
PeerInfo.`withKickCounter(org.pcollections.PMap<PeerId,Long> kickCounter)`
`PeerInfo`
PeerInfo.`withLastSeenTimestamp(long lastSeenTimestamp)`
Methods in com.usatiuk.dhfs.peersync that return types with arguments of type PeerInfo
Modifier and Type
Method
Description
`Optional<PeerInfo>`
PeerInfoService.`getPeerInfo(PeerId peer)`
`Optional<PeerInfo>`
PeerInfoService.`getPeerInfoImpl(JObjectKey key)`
`List<PeerInfo>`
PeerInfoService.`getPeers()`
`List<PeerInfo>`
PeerInfoService.`getPeersNoSelf()`
`List<PeerInfo>`
PeerInfoService.`getSynchronizedPeers()`
`List<PeerInfo>`
PeerInfoService.`getSynchronizedPeersNoSelf()`
Methods in com.usatiuk.dhfs.peersync with parameters of type PeerInfo
Modifier and Type
Method
Description
`void`
ReachablePeerManager.`handleConnectionError(PeerInfo host)`
`void`
PeerInfoSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, PeerInfo receivedData)`
`boolean`
ReachablePeerManager.`isReachable(PeerInfo host)`
`PeerInfoP`
PeerInfoProtoSerializer.`serialize(PeerInfo object)`

## Uses of PeerInfo in com.usatiuk.dhfs.peertrust

Method parameters in com.usatiuk.dhfs.peertrust with type arguments of type PeerInfo
Modifier and Type
Method
Description
`void`
PeerTrustManager.`reloadTrustManagerHosts(Collection<PeerInfo> hosts)`